Bug 134914 - firefox broken with gcc-3.4.2
Summary: firefox broken with gcc-3.4.2
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-10-07 07:18 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 10:59:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2004-10-07 07:18:51 UTC
Description of problem:
http://people.redhat.com/wtogami/temp/firefox-fail.txt.bz2
Failure build log.  Many errors like below.
 
c++ -o ProxyClassLoader.o -c -DOSTYPE=\"Linux2.6.8-1\"
-DOSARCH=\"Linux\" -DHAVE_DEPENDENT_LIBS 
-I../../../dist/include/xpcom -I../../../dist/include/string
-I../../../dist/include/liveconnect -I../../../dist/include/java
-I../../../dist/include/js -I../../../dist/include/plugin
-I../../../dist/include/caps -I../../../dist/include/pref
-I../../../dist/include/jar -I../../../dist/include/necko
-I../../../dist/include/dom -I../../../dist/include/widget
-I../../../dist/include/xpconnect
-I../../../dist/include/windowwatcher -I../../../dist/include/gfx
-I../../../dist/include/content -I../../../dist/include/layout
-I../../../dist/include/docshell -I../../../dist/include/webbrwsr
-I../../../dist/include/intl -I../../../dist/include/oji
-I../../../dist/include
-I/home/builder3/rpmbuild/BUILD/mozilla/dist/include/nspr     -I.
-I/usr/X11R6/include   -fPIC  -I/usr/X11R6/include -fno-rtti
-fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align
-Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy
-Wno-non-virtual-dtor -Wno-long-long -pedantic -fshort-wchar -pthread
-pipe  -DNDEBUG -DTRIMMED -Os -g -pipe -m32 -march=i386
-mtune=pentium4  -I/usr/X11R6/include -DMOZILLA_CLIENT -include
../../../mozilla-config.h -Wp,-MD,.deps/ProxyClassLoader.pp
ProxyClassLoader.cpp ProxyJNI.cpp: In static member function `static
jint ProxyJNIEnv::GetVersion(JNIEnv*)':
ProxyJNI.cpp:301: error: call of overloaded `GetSecureEnv(JNIEnv*&)'
is ambiguous ProxyJNI.cpp:287: note: candidates are: static
nsISecureEnv* ProxyJNIEnv::GetSecureEnv(JNIEnv*)
../../../dist/include/oji/ProxyJNI.h:67: note:                
nsISecureEnv* GetSecureEnv(JNIEnv*) ProxyJNI.cpp: In static member
function `static _jclass* ProxyJNIEnv::DefineClass(JNIEnv*, const
char*, _jobject*, const jbyte*, jsize)':

Version-Release number of selected component (if applicable):
firefox-0.10.1-1.0PR1.8

Comment 1 Christopher Aillon 2004-10-08 10:59:24 UTC
Patch for the OJI issue attached upstream at
https://bugzilla.mozilla.org/show_bug.cgi?id=263460

There appear to be no further issues.  I'm adding this patch to our
RPM.  Resolving as UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.